/**
 * CS E-76: Building Mobile Applications
 * Section: Java Primer
 * TF: Sophie Chang
 * 
 * Sample4.java
 * Description: Objects and Classes
 * Compilation: javac Sample4.java
 * Execution: java Sample4
 */

class Team
{
	public String name;
	public int score;
	
	public Team(String name, int score)
	{
		this.name = name;
		this.score = score;
	}
	
	public void setName(String name)
	{
		this.name = name;
	}
	
	public String getName()
	{
		return name;
	}
	
	public void setScore(int score)
	{
		this.score = score;
	}
	
	public int getScore()
	{
		return score;
	}
	
	public String toString()
	{
		return "Name: "+name+" Score: "+score;
	}
}

public class Sample4 {
	public static void main (String [] args)
	{
		Team[] teamsInSuperBowl = new Team[2];
		teamsInSuperBowl[0] = new Team("New England Patriots", 10);
		teamsInSuperBowl[1] = new Team("New York Giants", 9);
		
		System.out.println("Super Bowl Score");
		
		for (int i = 0, numTeams = teamsInSuperBowl.length; i < numTeams; i++)
		{
			System.out.println(teamsInSuperBowl[i].name+": "+teamsInSuperBowl[i].getScore());
		}
	}
}
